Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network155.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
155.136.0.0
Broadcast address
155.143.255.255
First usable
155.136.0.1
Last usable
155.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex 9B880000 · Integer 2609381376 to 2609905663
Reverse DNS zones
136.155.in-addr.arpa
137.155.in-addr.arpa
138.155.in-addr.arpa
139.155.in-addr.arpa
140.155.in-addr.arpa
141.155.in-addr.arpa
142.155.in-addr.arpa
143.155.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011011.10001000.00000000.00000000155.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10011011.10001000.00000000.00000000155.136.0.0
Broadcast10011011.10001111.11111111.11111111155.143.255.255
Split into smaller subnets/21

155.136.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1155.136.0.0/21155.136.0.1 to 155.136.7.254155.136.7.2552,046
2155.136.8.0/21155.136.8.1 to 155.136.15.254155.136.15.2552,046
3155.136.16.0/21155.136.16.1 to 155.136.23.254155.136.23.2552,046
4155.136.24.0/21155.136.24.1 to 155.136.31.254155.136.31.2552,046
5155.136.32.0/21155.136.32.1 to 155.136.39.254155.136.39.2552,046
6155.136.40.0/21155.136.40.1 to 155.136.47.254155.136.47.2552,046
7155.136.48.0/21155.136.48.1 to 155.136.55.254155.136.55.2552,046
8155.136.56.0/21155.136.56.1 to 155.136.63.254155.136.63.2552,046
9155.136.64.0/21155.136.64.1 to 155.136.71.254155.136.71.2552,046
10155.136.72.0/21155.136.72.1 to 155.136.79.254155.136.79.2552,046
11155.136.80.0/21155.136.80.1 to 155.136.87.254155.136.87.2552,046
12155.136.88.0/21155.136.88.1 to 155.136.95.254155.136.95.2552,046
13155.136.96.0/21155.136.96.1 to 155.136.103.254155.136.103.2552,046
14155.136.104.0/21155.136.104.1 to 155.136.111.254155.136.111.2552,046
15155.136.112.0/21155.136.112.1 to 155.136.119.254155.136.119.2552,046
16155.136.120.0/21155.136.120.1 to 155.136.127.254155.136.127.2552,046
17155.136.128.0/21155.136.128.1 to 155.136.135.254155.136.135.2552,046
18155.136.136.0/21155.136.136.1 to 155.136.143.254155.136.143.2552,046
19155.136.144.0/21155.136.144.1 to 155.136.151.254155.136.151.2552,046
20155.136.152.0/21155.136.152.1 to 155.136.159.254155.136.159.2552,046
21155.136.160.0/21155.136.160.1 to 155.136.167.254155.136.167.2552,046
22155.136.168.0/21155.136.168.1 to 155.136.175.254155.136.175.2552,046
23155.136.176.0/21155.136.176.1 to 155.136.183.254155.136.183.2552,046
24155.136.184.0/21155.136.184.1 to 155.136.191.254155.136.191.2552,046
25155.136.192.0/21155.136.192.1 to 155.136.199.254155.136.199.2552,046
26155.136.200.0/21155.136.200.1 to 155.136.207.254155.136.207.2552,046
27155.136.208.0/21155.136.208.1 to 155.136.215.254155.136.215.2552,046
28155.136.216.0/21155.136.216.1 to 155.136.223.254155.136.223.2552,046
29155.136.224.0/21155.136.224.1 to 155.136.231.254155.136.231.2552,046
30155.136.232.0/21155.136.232.1 to 155.136.239.254155.136.239.2552,046
31155.136.240.0/21155.136.240.1 to 155.136.247.254155.136.247.2552,046
32155.136.248.0/21155.136.248.1 to 155.136.255.254155.136.255.2552,046
33155.137.0.0/21155.137.0.1 to 155.137.7.254155.137.7.2552,046
34155.137.8.0/21155.137.8.1 to 155.137.15.254155.137.15.2552,046
35155.137.16.0/21155.137.16.1 to 155.137.23.254155.137.23.2552,046
36155.137.24.0/21155.137.24.1 to 155.137.31.254155.137.31.2552,046
37155.137.32.0/21155.137.32.1 to 155.137.39.254155.137.39.2552,046
38155.137.40.0/21155.137.40.1 to 155.137.47.254155.137.47.2552,046
39155.137.48.0/21155.137.48.1 to 155.137.55.254155.137.55.2552,046
40155.137.56.0/21155.137.56.1 to 155.137.63.254155.137.63.2552,046
41155.137.64.0/21155.137.64.1 to 155.137.71.254155.137.71.2552,046
42155.137.72.0/21155.137.72.1 to 155.137.79.254155.137.79.2552,046
43155.137.80.0/21155.137.80.1 to 155.137.87.254155.137.87.2552,046
44155.137.88.0/21155.137.88.1 to 155.137.95.254155.137.95.2552,046
45155.137.96.0/21155.137.96.1 to 155.137.103.254155.137.103.2552,046
46155.137.104.0/21155.137.104.1 to 155.137.111.254155.137.111.2552,046
47155.137.112.0/21155.137.112.1 to 155.137.119.254155.137.119.2552,046
48155.137.120.0/21155.137.120.1 to 155.137.127.254155.137.127.2552,046
49155.137.128.0/21155.137.128.1 to 155.137.135.254155.137.135.2552,046
50155.137.136.0/21155.137.136.1 to 155.137.143.254155.137.143.2552,046
51155.137.144.0/21155.137.144.1 to 155.137.151.254155.137.151.2552,046
52155.137.152.0/21155.137.152.1 to 155.137.159.254155.137.159.2552,046
53155.137.160.0/21155.137.160.1 to 155.137.167.254155.137.167.2552,046
54155.137.168.0/21155.137.168.1 to 155.137.175.254155.137.175.2552,046
55155.137.176.0/21155.137.176.1 to 155.137.183.254155.137.183.2552,046
56155.137.184.0/21155.137.184.1 to 155.137.191.254155.137.191.2552,046
57155.137.192.0/21155.137.192.1 to 155.137.199.254155.137.199.2552,046
58155.137.200.0/21155.137.200.1 to 155.137.207.254155.137.207.2552,046
59155.137.208.0/21155.137.208.1 to 155.137.215.254155.137.215.2552,046
60155.137.216.0/21155.137.216.1 to 155.137.223.254155.137.223.2552,046
61155.137.224.0/21155.137.224.1 to 155.137.231.254155.137.231.2552,046
62155.137.232.0/21155.137.232.1 to 155.137.239.254155.137.239.2552,046
63155.137.240.0/21155.137.240.1 to 155.137.247.254155.137.247.2552,046
64155.137.248.0/21155.137.248.1 to 155.137.255.254155.137.255.2552,046
65155.138.0.0/21155.138.0.1 to 155.138.7.254155.138.7.2552,046
66155.138.8.0/21155.138.8.1 to 155.138.15.254155.138.15.2552,046
67155.138.16.0/21155.138.16.1 to 155.138.23.254155.138.23.2552,046
68155.138.24.0/21155.138.24.1 to 155.138.31.254155.138.31.2552,046
69155.138.32.0/21155.138.32.1 to 155.138.39.254155.138.39.2552,046
70155.138.40.0/21155.138.40.1 to 155.138.47.254155.138.47.2552,046
71155.138.48.0/21155.138.48.1 to 155.138.55.254155.138.55.2552,046
72155.138.56.0/21155.138.56.1 to 155.138.63.254155.138.63.2552,046
73155.138.64.0/21155.138.64.1 to 155.138.71.254155.138.71.2552,046
74155.138.72.0/21155.138.72.1 to 155.138.79.254155.138.79.2552,046
75155.138.80.0/21155.138.80.1 to 155.138.87.254155.138.87.2552,046
76155.138.88.0/21155.138.88.1 to 155.138.95.254155.138.95.2552,046
77155.138.96.0/21155.138.96.1 to 155.138.103.254155.138.103.2552,046
78155.138.104.0/21155.138.104.1 to 155.138.111.254155.138.111.2552,046
79155.138.112.0/21155.138.112.1 to 155.138.119.254155.138.119.2552,046
80155.138.120.0/21155.138.120.1 to 155.138.127.254155.138.127.2552,046
81155.138.128.0/21155.138.128.1 to 155.138.135.254155.138.135.2552,046
82155.138.136.0/21155.138.136.1 to 155.138.143.254155.138.143.2552,046
83155.138.144.0/21155.138.144.1 to 155.138.151.254155.138.151.2552,046
84155.138.152.0/21155.138.152.1 to 155.138.159.254155.138.159.2552,046
85155.138.160.0/21155.138.160.1 to 155.138.167.254155.138.167.2552,046
86155.138.168.0/21155.138.168.1 to 155.138.175.254155.138.175.2552,046
87155.138.176.0/21155.138.176.1 to 155.138.183.254155.138.183.2552,046
88155.138.184.0/21155.138.184.1 to 155.138.191.254155.138.191.2552,046
89155.138.192.0/21155.138.192.1 to 155.138.199.254155.138.199.2552,046
90155.138.200.0/21155.138.200.1 to 155.138.207.254155.138.207.2552,046
91155.138.208.0/21155.138.208.1 to 155.138.215.254155.138.215.2552,046
92155.138.216.0/21155.138.216.1 to 155.138.223.254155.138.223.2552,046
93155.138.224.0/21155.138.224.1 to 155.138.231.254155.138.231.2552,046
94155.138.232.0/21155.138.232.1 to 155.138.239.254155.138.239.2552,046
95155.138.240.0/21155.138.240.1 to 155.138.247.254155.138.247.2552,046
96155.138.248.0/21155.138.248.1 to 155.138.255.254155.138.255.2552,046
97155.139.0.0/21155.139.0.1 to 155.139.7.254155.139.7.2552,046
98155.139.8.0/21155.139.8.1 to 155.139.15.254155.139.15.2552,046
99155.139.16.0/21155.139.16.1 to 155.139.23.254155.139.23.2552,046
100155.139.24.0/21155.139.24.1 to 155.139.31.254155.139.31.2552,046
101155.139.32.0/21155.139.32.1 to 155.139.39.254155.139.39.2552,046
102155.139.40.0/21155.139.40.1 to 155.139.47.254155.139.47.2552,046
103155.139.48.0/21155.139.48.1 to 155.139.55.254155.139.55.2552,046
104155.139.56.0/21155.139.56.1 to 155.139.63.254155.139.63.2552,046
105155.139.64.0/21155.139.64.1 to 155.139.71.254155.139.71.2552,046
106155.139.72.0/21155.139.72.1 to 155.139.79.254155.139.79.2552,046
107155.139.80.0/21155.139.80.1 to 155.139.87.254155.139.87.2552,046
108155.139.88.0/21155.139.88.1 to 155.139.95.254155.139.95.2552,046
109155.139.96.0/21155.139.96.1 to 155.139.103.254155.139.103.2552,046
110155.139.104.0/21155.139.104.1 to 155.139.111.254155.139.111.2552,046
111155.139.112.0/21155.139.112.1 to 155.139.119.254155.139.119.2552,046
112155.139.120.0/21155.139.120.1 to 155.139.127.254155.139.127.2552,046
113155.139.128.0/21155.139.128.1 to 155.139.135.254155.139.135.2552,046
114155.139.136.0/21155.139.136.1 to 155.139.143.254155.139.143.2552,046
115155.139.144.0/21155.139.144.1 to 155.139.151.254155.139.151.2552,046
116155.139.152.0/21155.139.152.1 to 155.139.159.254155.139.159.2552,046
117155.139.160.0/21155.139.160.1 to 155.139.167.254155.139.167.2552,046
118155.139.168.0/21155.139.168.1 to 155.139.175.254155.139.175.2552,046
119155.139.176.0/21155.139.176.1 to 155.139.183.254155.139.183.2552,046
120155.139.184.0/21155.139.184.1 to 155.139.191.254155.139.191.2552,046
121155.139.192.0/21155.139.192.1 to 155.139.199.254155.139.199.2552,046
122155.139.200.0/21155.139.200.1 to 155.139.207.254155.139.207.2552,046
123155.139.208.0/21155.139.208.1 to 155.139.215.254155.139.215.2552,046
124155.139.216.0/21155.139.216.1 to 155.139.223.254155.139.223.2552,046
125155.139.224.0/21155.139.224.1 to 155.139.231.254155.139.231.2552,046
126155.139.232.0/21155.139.232.1 to 155.139.239.254155.139.239.2552,046
127155.139.240.0/21155.139.240.1 to 155.139.247.254155.139.247.2552,046
128155.139.248.0/21155.139.248.1 to 155.139.255.254155.139.255.2552,046
129155.140.0.0/21155.140.0.1 to 155.140.7.254155.140.7.2552,046
130155.140.8.0/21155.140.8.1 to 155.140.15.254155.140.15.2552,046
131155.140.16.0/21155.140.16.1 to 155.140.23.254155.140.23.2552,046
132155.140.24.0/21155.140.24.1 to 155.140.31.254155.140.31.2552,046
133155.140.32.0/21155.140.32.1 to 155.140.39.254155.140.39.2552,046
134155.140.40.0/21155.140.40.1 to 155.140.47.254155.140.47.2552,046
135155.140.48.0/21155.140.48.1 to 155.140.55.254155.140.55.2552,046
136155.140.56.0/21155.140.56.1 to 155.140.63.254155.140.63.2552,046
137155.140.64.0/21155.140.64.1 to 155.140.71.254155.140.71.2552,046
138155.140.72.0/21155.140.72.1 to 155.140.79.254155.140.79.2552,046
139155.140.80.0/21155.140.80.1 to 155.140.87.254155.140.87.2552,046
140155.140.88.0/21155.140.88.1 to 155.140.95.254155.140.95.2552,046
141155.140.96.0/21155.140.96.1 to 155.140.103.254155.140.103.2552,046
142155.140.104.0/21155.140.104.1 to 155.140.111.254155.140.111.2552,046
143155.140.112.0/21155.140.112.1 to 155.140.119.254155.140.119.2552,046
144155.140.120.0/21155.140.120.1 to 155.140.127.254155.140.127.2552,046
145155.140.128.0/21155.140.128.1 to 155.140.135.254155.140.135.2552,046
146155.140.136.0/21155.140.136.1 to 155.140.143.254155.140.143.2552,046
147155.140.144.0/21155.140.144.1 to 155.140.151.254155.140.151.2552,046
148155.140.152.0/21155.140.152.1 to 155.140.159.254155.140.159.2552,046
149155.140.160.0/21155.140.160.1 to 155.140.167.254155.140.167.2552,046
150155.140.168.0/21155.140.168.1 to 155.140.175.254155.140.175.2552,046
151155.140.176.0/21155.140.176.1 to 155.140.183.254155.140.183.2552,046
152155.140.184.0/21155.140.184.1 to 155.140.191.254155.140.191.2552,046
153155.140.192.0/21155.140.192.1 to 155.140.199.254155.140.199.2552,046
154155.140.200.0/21155.140.200.1 to 155.140.207.254155.140.207.2552,046
155155.140.208.0/21155.140.208.1 to 155.140.215.254155.140.215.2552,046
156155.140.216.0/21155.140.216.1 to 155.140.223.254155.140.223.2552,046
157155.140.224.0/21155.140.224.1 to 155.140.231.254155.140.231.2552,046
158155.140.232.0/21155.140.232.1 to 155.140.239.254155.140.239.2552,046
159155.140.240.0/21155.140.240.1 to 155.140.247.254155.140.247.2552,046
160155.140.248.0/21155.140.248.1 to 155.140.255.254155.140.255.2552,046
161155.141.0.0/21155.141.0.1 to 155.141.7.254155.141.7.2552,046
162155.141.8.0/21155.141.8.1 to 155.141.15.254155.141.15.2552,046
163155.141.16.0/21155.141.16.1 to 155.141.23.254155.141.23.2552,046
164155.141.24.0/21155.141.24.1 to 155.141.31.254155.141.31.2552,046
165155.141.32.0/21155.141.32.1 to 155.141.39.254155.141.39.2552,046
166155.141.40.0/21155.141.40.1 to 155.141.47.254155.141.47.2552,046
167155.141.48.0/21155.141.48.1 to 155.141.55.254155.141.55.2552,046
168155.141.56.0/21155.141.56.1 to 155.141.63.254155.141.63.2552,046
169155.141.64.0/21155.141.64.1 to 155.141.71.254155.141.71.2552,046
170155.141.72.0/21155.141.72.1 to 155.141.79.254155.141.79.2552,046
171155.141.80.0/21155.141.80.1 to 155.141.87.254155.141.87.2552,046
172155.141.88.0/21155.141.88.1 to 155.141.95.254155.141.95.2552,046
173155.141.96.0/21155.141.96.1 to 155.141.103.254155.141.103.2552,046
174155.141.104.0/21155.141.104.1 to 155.141.111.254155.141.111.2552,046
175155.141.112.0/21155.141.112.1 to 155.141.119.254155.141.119.2552,046
176155.141.120.0/21155.141.120.1 to 155.141.127.254155.141.127.2552,046
177155.141.128.0/21155.141.128.1 to 155.141.135.254155.141.135.2552,046
178155.141.136.0/21155.141.136.1 to 155.141.143.254155.141.143.2552,046
179155.141.144.0/21155.141.144.1 to 155.141.151.254155.141.151.2552,046
180155.141.152.0/21155.141.152.1 to 155.141.159.254155.141.159.2552,046
181155.141.160.0/21155.141.160.1 to 155.141.167.254155.141.167.2552,046
182155.141.168.0/21155.141.168.1 to 155.141.175.254155.141.175.2552,046
183155.141.176.0/21155.141.176.1 to 155.141.183.254155.141.183.2552,046
184155.141.184.0/21155.141.184.1 to 155.141.191.254155.141.191.2552,046
185155.141.192.0/21155.141.192.1 to 155.141.199.254155.141.199.2552,046
186155.141.200.0/21155.141.200.1 to 155.141.207.254155.141.207.2552,046
187155.141.208.0/21155.141.208.1 to 155.141.215.254155.141.215.2552,046
188155.141.216.0/21155.141.216.1 to 155.141.223.254155.141.223.2552,046
189155.141.224.0/21155.141.224.1 to 155.141.231.254155.141.231.2552,046
190155.141.232.0/21155.141.232.1 to 155.141.239.254155.141.239.2552,046
191155.141.240.0/21155.141.240.1 to 155.141.247.254155.141.247.2552,046
192155.141.248.0/21155.141.248.1 to 155.141.255.254155.141.255.2552,046
193155.142.0.0/21155.142.0.1 to 155.142.7.254155.142.7.2552,046
194155.142.8.0/21155.142.8.1 to 155.142.15.254155.142.15.2552,046
195155.142.16.0/21155.142.16.1 to 155.142.23.254155.142.23.2552,046
196155.142.24.0/21155.142.24.1 to 155.142.31.254155.142.31.2552,046
197155.142.32.0/21155.142.32.1 to 155.142.39.254155.142.39.2552,046
198155.142.40.0/21155.142.40.1 to 155.142.47.254155.142.47.2552,046
199155.142.48.0/21155.142.48.1 to 155.142.55.254155.142.55.2552,046
200155.142.56.0/21155.142.56.1 to 155.142.63.254155.142.63.2552,046
201155.142.64.0/21155.142.64.1 to 155.142.71.254155.142.71.2552,046
202155.142.72.0/21155.142.72.1 to 155.142.79.254155.142.79.2552,046
203155.142.80.0/21155.142.80.1 to 155.142.87.254155.142.87.2552,046
204155.142.88.0/21155.142.88.1 to 155.142.95.254155.142.95.2552,046
205155.142.96.0/21155.142.96.1 to 155.142.103.254155.142.103.2552,046
206155.142.104.0/21155.142.104.1 to 155.142.111.254155.142.111.2552,046
207155.142.112.0/21155.142.112.1 to 155.142.119.254155.142.119.2552,046
208155.142.120.0/21155.142.120.1 to 155.142.127.254155.142.127.2552,046
209155.142.128.0/21155.142.128.1 to 155.142.135.254155.142.135.2552,046
210155.142.136.0/21155.142.136.1 to 155.142.143.254155.142.143.2552,046
211155.142.144.0/21155.142.144.1 to 155.142.151.254155.142.151.2552,046
212155.142.152.0/21155.142.152.1 to 155.142.159.254155.142.159.2552,046
213155.142.160.0/21155.142.160.1 to 155.142.167.254155.142.167.2552,046
214155.142.168.0/21155.142.168.1 to 155.142.175.254155.142.175.2552,046
215155.142.176.0/21155.142.176.1 to 155.142.183.254155.142.183.2552,046
216155.142.184.0/21155.142.184.1 to 155.142.191.254155.142.191.2552,046
217155.142.192.0/21155.142.192.1 to 155.142.199.254155.142.199.2552,046
218155.142.200.0/21155.142.200.1 to 155.142.207.254155.142.207.2552,046
219155.142.208.0/21155.142.208.1 to 155.142.215.254155.142.215.2552,046
220155.142.216.0/21155.142.216.1 to 155.142.223.254155.142.223.2552,046
221155.142.224.0/21155.142.224.1 to 155.142.231.254155.142.231.2552,046
222155.142.232.0/21155.142.232.1 to 155.142.239.254155.142.239.2552,046
223155.142.240.0/21155.142.240.1 to 155.142.247.254155.142.247.2552,046
224155.142.248.0/21155.142.248.1 to 155.142.255.254155.142.255.2552,046
225155.143.0.0/21155.143.0.1 to 155.143.7.254155.143.7.2552,046
226155.143.8.0/21155.143.8.1 to 155.143.15.254155.143.15.2552,046
227155.143.16.0/21155.143.16.1 to 155.143.23.254155.143.23.2552,046
228155.143.24.0/21155.143.24.1 to 155.143.31.254155.143.31.2552,046
229155.143.32.0/21155.143.32.1 to 155.143.39.254155.143.39.2552,046
230155.143.40.0/21155.143.40.1 to 155.143.47.254155.143.47.2552,046
231155.143.48.0/21155.143.48.1 to 155.143.55.254155.143.55.2552,046
232155.143.56.0/21155.143.56.1 to 155.143.63.254155.143.63.2552,046
233155.143.64.0/21155.143.64.1 to 155.143.71.254155.143.71.2552,046
234155.143.72.0/21155.143.72.1 to 155.143.79.254155.143.79.2552,046
235155.143.80.0/21155.143.80.1 to 155.143.87.254155.143.87.2552,046
236155.143.88.0/21155.143.88.1 to 155.143.95.254155.143.95.2552,046
237155.143.96.0/21155.143.96.1 to 155.143.103.254155.143.103.2552,046
238155.143.104.0/21155.143.104.1 to 155.143.111.254155.143.111.2552,046
239155.143.112.0/21155.143.112.1 to 155.143.119.254155.143.119.2552,046
240155.143.120.0/21155.143.120.1 to 155.143.127.254155.143.127.2552,046
241155.143.128.0/21155.143.128.1 to 155.143.135.254155.143.135.2552,046
242155.143.136.0/21155.143.136.1 to 155.143.143.254155.143.143.2552,046
243155.143.144.0/21155.143.144.1 to 155.143.151.254155.143.151.2552,046
244155.143.152.0/21155.143.152.1 to 155.143.159.254155.143.159.2552,046
245155.143.160.0/21155.143.160.1 to 155.143.167.254155.143.167.2552,046
246155.143.168.0/21155.143.168.1 to 155.143.175.254155.143.175.2552,046
247155.143.176.0/21155.143.176.1 to 155.143.183.254155.143.183.2552,046
248155.143.184.0/21155.143.184.1 to 155.143.191.254155.143.191.2552,046
249155.143.192.0/21155.143.192.1 to 155.143.199.254155.143.199.2552,046
250155.143.200.0/21155.143.200.1 to 155.143.207.254155.143.207.2552,046
251155.143.208.0/21155.143.208.1 to 155.143.215.254155.143.215.2552,046
252155.143.216.0/21155.143.216.1 to 155.143.223.254155.143.223.2552,046
253155.143.224.0/21155.143.224.1 to 155.143.231.254155.143.231.2552,046
254155.143.232.0/21155.143.232.1 to 155.143.239.254155.143.239.2552,046
255155.143.240.0/21155.143.240.1 to 155.143.247.254155.143.247.2552,046
256155.143.248.0/21155.143.248.1 to 155.143.255.254155.143.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses